> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maalbar.dk/llms.txt
> Use this file to discover all available pages before exploring further.

# Get material for a screening



## OpenAPI

````yaml get /screenings/{screeningPublicId}/materials/{screeningMaterialPublicId}
openapi: 3.1.0
info:
  title: MÅLBAR LCA API
  version: 1.0.0
  description: API for Life Cycle Assessment (LCA) screening capabilities
servers:
  - url: https://api.maalbar.dk/v1
    description: MÅLBAR LCA API
security: []
tags:
  - name: Components
  - name: Customer
  - name: Distributions
  - name: Geographical Locations
  - name: Locations
  - name: Materials
  - name: Methods
  - name: Packagings
  - name: Product
  - name: Products
  - name: Routes
  - name: Screening
  - name: Screenings
  - name: Supplier
  - name: Supplier Locations
  - name: Suppliers
  - name: Tags
paths:
  /screenings/{screeningPublicId}/materials/{screeningMaterialPublicId}:
    get:
      tags:
        - Materials
      summary: Get material for a screening
      operationId: get-screenings-{screeningPublicId}-materials-{screeningMaterialPublicId}
      parameters:
        - in: path
          name: screeningPublicId
          required: true
          schema:
            type: string
          example: '123'
        - in: path
          name: screeningMaterialPublicId
          required: true
          schema:
            type: string
          example: '123'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetScreeningMaterialApiOutput'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetScreeningMaterialApiOutput:
      type: object
      properties:
        publicId:
          type: string
          minLength: 16
          maxLength: 16
          examples:
            - screeningMaterial_xxxxxxxxxxxx
        screening:
          type: object
          properties:
            publicId:
              type: string
              minLength: 16
              maxLength: 16
              examples:
                - screening_xxxxxxxxxxxx
          required:
            - publicId
        item:
          type: object
          properties:
            publicId:
              type: string
              minLength: 16
              maxLength: 16
              examples:
                - item_xxxxxxxxxxxx
            name:
              type:
                - string
                - 'null'
          required:
            - publicId
            - name
        label:
          type:
            - string
            - 'null'
        functionalUnitValue:
          type:
            - number
            - 'null'
        designedForDisassembly:
          type:
            - boolean
            - 'null'
        productionWaste:
          type:
            - number
            - 'null'
        inputs:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
                enum:
                  - Origin
                  - Material
                  - Process
              fieldsType:
                oneOf:
                  - type: string
                    enum:
                      - Default
                      - Multiple
                      - Single
                  - type: string
                    enum:
                      - Default
                      - Multiple
                      - Single
                      - Empty
              fields:
                type: array
                items:
                  type: object
                  properties:
                    selected:
                      type: boolean
                    name:
                      type:
                        - string
                        - 'null'
                    data:
                      type: object
                      properties:
                        publicId:
                          oneOf:
                            - oneOf:
                                - oneOf:
                                    - oneOf:
                                        - type: string
                                          minLength: 16
                                          maxLength: 16
                                          examples:
                                            - item_xxxxxxxxxxxx
                                        - type: string
                                          minLength: 16
                                          maxLength: 16
                                          examples:
                                            - itemProcess_xxxxxxxxxxxx
                                    - type: string
                                      minLength: 16
                                      maxLength: 16
                                      examples:
                                        - itemMaterial_xxxxxxxxxxxx
                                - type: string
                                  minLength: 16
                                  maxLength: 16
                                  examples:
                                    - itemSelectableMaterial_xxxxxxxxxxxx
                            - type: string
                              minLength: 16
                              maxLength: 16
                              examples:
                                - itemSelectableProcess_xxxxxxxxxxxx
                        locationPublicId:
                          anyOf:
                            - oneOf:
                                - type: string
                                  minLength: 16
                                  maxLength: 16
                                  examples:
                                    - locationListItem_xxxxxxxxxxxx
                                - type: string
                                  minLength: 16
                                  maxLength: 16
                                  examples:
                                    - transportLocation_xxxxxxxxxxxx
                            - type: 'null'
                        additional:
                          type: object
                          properties:
                            proportion:
                              type:
                                - number
                                - 'null'
                            recycleShare:
                              type:
                                - number
                                - 'null'
                            materialUnits:
                              type:
                                - object
                                - 'null'
                              properties:
                                DTex:
                                  type:
                                    - number
                                    - 'null'
                              required:
                                - DTex
                      required:
                        - publicId
                        - locationPublicId
                        - additional
                  required:
                    - name
                    - data
            required:
              - name
              - type
              - fieldsType
              - fields
      required:
        - publicId
        - screening
        - item
        - label
        - functionalUnitValue
        - designedForDisassembly
        - productionWaste
        - inputs
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````